> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1aulocations providers



## OpenAPI

````yaml https://api.halth.com/v1/au/api-yaml post /v1/au/locations/{locationId}/providers
openapi: 3.0.0
info:
  title: GovAU Connect Service
  description: HaltH connector for Australian Government services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security:
  - apiKey: []
tags: []
paths:
  /v1/au/locations/{locationId}/providers:
    post:
      tags:
        - Provider
      operationId: ProviderController_create
      parameters:
        - name: locationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MedicareProviderCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MedicareProvider'
components:
  schemas:
    MedicareProviderCreateParams:
      type: object
      properties:
        providerNumber:
          type: string
        registrationFileId:
          type: string
        values:
          type: object
        metadata:
          type: object
      required:
        - providerNumber
        - registrationFileId
    MedicareProvider:
      type: object
      properties:
        id:
          type: string
        providerNumber:
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
        registrationFileId:
          type: string
        createdAt:
          format: date-time
          type: string
        registrationSentAt:
          format: date-time
          type: string
      required:
        - id
        - providerNumber
        - status
        - registrationFileId
        - createdAt

````